# GoogleChartColor Class Reference

Inheritance diagram for GoogleChartColor:
[legend]

List of all members.

## Public Member Functions

| addColor (Color $color)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chco'

## Private Attributes

| $colors = array()

## Detailed Description

Definition at line 15 of file GoogleChartColor.class.php.

## Member Function Documentation

GoogleChartColor::addColor | ( | Color $ | color | ) |

Returns:
  GoogleChartColor

Definition at line 32 of file GoogleChartColor.class.php.

static GoogleChartColor::create | ( |  | ) | `[static]`

Returns:
  GoogleChartColor

Definition at line 24 of file GoogleChartColor.class.php.

GoogleChartColor::toString | ( |  | ) |

Implements Stringable.

Definition at line 39 of file GoogleChartColor.class.php.

References Assert::isNotEmptyArray().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartColor::$colors = array()`[private]`

Definition at line 19 of file GoogleChartColor.class.php.

GoogleChartColor::$name = 'chco'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartColor.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartColor.class.php